%define name bitlbee
%define version 0.92

Summary: %name - irc gateway to popular IM networks
Name: %name
Version: %version
Release: alt1
Group: System/Servers
Url: www.bitlbee.org
Source0: http://get.bitlbee.org/src/%{name}-%version.tar.gz
Source1: %name.xinetd
Patch0: alt_jabber_custom_port_ssl.patch
License: GPL

# Automatically added by buildreq on Sat Apr 02 2005
BuildRequires: docbook-dtds docbook-style-xsl glib2-devel libgpg-error libssl-devel lynx mailcap pkgconfig xml-common xmlto xsltproc

%description
BitlBee is an IRC daemon that can talk to  instant  messaging  networks
and  acts as a gateway. Users can connect to the server with any normal
IRC client and see their 'buddy list' in #bitlbee.  BitlBee's  protocol
support  is  based on the gaim protocol plugins. BitlBee currently sup-
ports Oscar (aim and icq), MSN, Jabber and Yahoo.

%prep
%setup -q
%patch0 -p1

%build
pushd doc
%__make clean && %__make
popd
./configure --prefix=%_usr --etcdir=%_sysconfdir/%name --ssl=openssl --flood=1
%make_build
%__make encode 

%install
%__make install install-etc PREFIX=%buildroot%_usr \
			    BINDIR=%buildroot%_sbindir \
			    ETCDIR=%buildroot%_sysconfdir/%name \
			    MANDIR=%buildroot%_mandir \
			    DATADIR=%buildroot%_datadir/%name \
			    CONFIG=%buildoot%_localstatedir
pushd doc
%__rm -f *.x* *orig
%__rm -f Makefile
popd

%__mkdir_p %buildroot{%_sysconfdir/xinetd.d,%_localstatedir/%name}
%__cp %SOURCE1 %buildroot%_sysconfdir/xinetd.d/%name
%__cp encode %buildroot%_sbindir/%name-encode
%__ln_s %_sbindir/%name-encode %buildroot%_sbindir/%name-decode

%pre
/usr/sbin/groupadd -r -f %name

/usr/sbin/useradd -r -n -g %name -d %_localstatedir/%name -s /dev/null -c %name %name >/dev/null 2>&1 ||:

%files
%_sbindir/%name
%_sbindir/%name-encode
%_sbindir/%name-decode
%attr(750,root,%name) %dir %_sysconfdir/%name
%attr(640,root,%name) %config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %_sysconfdir/xinetd.d/%name
%attr(700,%name,%name) %config(noreplace) %_localstatedir/%name
%_datadir/%name
%_man8dir/*
%_man5dir/*
%doc COPYING doc utils

%changelog
* Sat Apr 02 2005 LAKostis <lakostis at altlinux dot ru> 0.92-alt1
- initial build for Sisyphus.
